#include <stdio.h>
#include <float.h> // Para as precisões

int main(void) {
    printf("float max      : %e\n", FLT_MAX);
    printf("float max      : %e\n", -FLT_MAX);
    
    printf("double max     : %e\n", DBL_MAX);
    printf("double max     : %e\n", -DBL_MAX);

    printf("long double max: %Le\n", LDBL_MAX);
    printf("long double max: %Le\n", -LDBL_MAX);
    
    return 0;
}
